!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.1
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
!BOP
! !ROUTINE: finalize_merra2
! \label{finalize_merra2}
!
! !REVISION HISTORY: 
! 18 Mar 2015: James Geiger, initial code (based on merra-land)
! 
! !INTERFACE:

subroutine finalize_merra2(findex)

! !USES:
  use LIS_coreMod,     only : LIS_rc
  use merra2_forcingMod, only : merra2_struc
!
! !DESCRIPTION:
!  Routine to cleanup MERRA2 forcing related memory allocations.   
! 
!EOP
  implicit none

  integer :: findex
  integer :: n

  do n=1,LIS_rc%nnest
    if(trim(LIS_rc%met_interp(findex)).eq."bilinear") then 
       deallocate(merra2_struc(n)%n111)
       deallocate(merra2_struc(n)%n121)
       deallocate(merra2_struc(n)%n211)
       deallocate(merra2_struc(n)%n221)
       deallocate(merra2_struc(n)%w111)
       deallocate(merra2_struc(n)%w121)
       deallocate(merra2_struc(n)%w211)
       deallocate(merra2_struc(n)%w221)
    elseif(trim(LIS_rc%met_interp(findex)).eq."budget-bilinear") then 
       deallocate(merra2_struc(n)%n111)
       deallocate(merra2_struc(n)%n121)
       deallocate(merra2_struc(n)%n211)
       deallocate(merra2_struc(n)%n221)
       deallocate(merra2_struc(n)%w111)
       deallocate(merra2_struc(n)%w121)
       deallocate(merra2_struc(n)%w211)
       deallocate(merra2_struc(n)%w221)
       deallocate(merra2_struc(n)%n112)
       deallocate(merra2_struc(n)%n122)
       deallocate(merra2_struc(n)%n212)
       deallocate(merra2_struc(n)%n222)
       deallocate(merra2_struc(n)%w112)
       deallocate(merra2_struc(n)%w122)
       deallocate(merra2_struc(n)%w212)
       deallocate(merra2_struc(n)%w222)
    elseif(trim(LIS_rc%met_interp(findex)).eq."neighbor") then 
       deallocate(merra2_struc(n)%n113)
    endif
 enddo
 deallocate(merra2_struc)
end subroutine finalize_merra2
